summaryrefslogtreecommitdiffstats
path: root/examples/h5dsm_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/h5dsm_test.sh')
-rwxr-xr-xexamples/h5dsm_test.sh17
1 files changed, 16 insertions, 1 deletions
diff --git a/examples/h5dsm_test.sh b/examples/h5dsm_test.sh
index c38e2ca..14dcff9 100755
--- a/examples/h5dsm_test.sh
+++ b/examples/h5dsm_test.sh
@@ -552,7 +552,7 @@ if test $? -ne 0; then
exit 1
fi
-# --------------- Variable Length types --------------- #
+# --------------- Variable Length Types --------------- #
echo h5dsm_tvlen
orterun -np 1 $EXEC_ARGS ./h5dsm_tvlen $POOL_UUID -q
if test $? -ne 0; then
@@ -560,6 +560,21 @@ if test $? -ne 0; then
exit 1
fi
+# --------------- Committed Datatypes --------------- #
+echo h5dsm_tvlen
+orterun -np 1 $EXEC_ARGS ./h5dsm_tcommit $POOL_UUID -q
+if test $? -ne 0; then
+ echo FAILED
+ exit 1
+fi
+
+echo h5dsm_tvlen \(2 processes\)
+orterun -np 2 $EXEC_ARGS ./h5dsm_tcommit $POOL_UUID -q
+if test $? -ne 0; then
+ echo FAILED
+ exit 1
+fi
+
# --------------- Output Comparison --------------- #
sed -i -e 's/#.*//' -e 's/[ ^I]*$//' -e '/^$/ d' h5dsm_test.out
echo cmp h5dsm_test.out h5dsm_test.out.exp